/**
 * TemporallyPertains.java
 *
 * File generated from the medication::TemporallyPertains uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration TemporallyPertains.
 *
 * 
 */

@XmlType(name = "TemporallyPertains")
@XmlEnum
@XmlRootElement(name = "TemporallyPertains")
public enum TemporallyPertains {
	@XmlEnumValue("SAS")
	SAS("SAS");
	
	private final String value;

    TemporallyPertains(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static TemporallyPertains fromValue(String v) {
        for (TemporallyPertains c: TemporallyPertains.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}